Skip to main content
PUT

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Path Parameters

id
string<uuid>
required

The unique identifier of the issue

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"123e4567-e89b-12d3-a456-426614174000"

Body

application/json

Request body for updating an existing issue

title
string

Updated title of the issue

Example:

"Response quality degradation - Critical"

summary
string · null · null

Updated summary of the issue

Example:

"The chatbot is consistently providing incomplete responses"

comment
string · null · null

Reason for resolving or dismissing the issue

Example:

"Duplicate report"

status
enum<string>

Updated status of the issue

Available options:
OPEN,
RESOLVED,
REJECTED
Example:

"RESOLVED"

priority
enum<string>

Updated priority level

Available options:
LOW,
MEDIUM,
HIGH
Example:

"LOW"

type
enum<string>

Updated type/category

Available options:
BUG,
HUMAN_ANNOTATION,
SUGGESTED_TASK,
USER_SIGNAL
Example:

"HUMAN_ANNOTATION"

assignedTo
string · null · null

Reassign the issue to a different user

Example:

"user_345678"

topicId
string<uuid> | null

Update associated topic ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"789e4567-e89b-12d3-a456-426614174000"

taskId
string<uuid> | null

Update associated task ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"789e4567-e89b-12d3-a456-426614174000"

testId
string<uuid> · null · null

Update associated test ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"789e4567-e89b-12d3-a456-426614174000"

evalDefinitionId
string<uuid> | null

Update associated evaluation definition ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"789e4567-e89b-12d3-a456-426614174000"

annotationId
string<uuid> · null · null

Update associated annotation ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"890e5678-e89b-12d3-a456-426614174000"

traceId
string · null · null

Update associated trace ID

Example:

"trace_xyz789"

experimentId
string<uuid> · null · null

Update associated experiment ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"789e4567-e89b-12d3-a456-426614174000"

parentId
string<uuid> · null · null

Update parent issue ID for sub-issues

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

Successfully updated issue

Successful response containing the issue data

data
Issue · object
required

An issue tracking problems or improvements in the AI application